Bug 468778 - No audio -- failed to drain stream / connection refused
No audio -- failed to drain stream / connection refused
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 18:33 EDT by Tethys
Modified: 2009-02-24 23:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 23:03:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2008-10-27 18:33:45 EDT
Description of problem:
Intermittently, sound on my F9 desktop will die. Trying to play audio
afterwards gives the following errors:

macbeth:~% paplay /usr/share/sounds/generic.wav
Failed to drain stream: Timeout
macbeth:~% aplay /usr/share/sounds/generic.wav
Playing WAVE '/usr/share/sounds/generic.wav' : Signed 16 bit Little Endian, Rate 44100 Hz, Stereo

No sound comes out in either case. Or as root:

macbeth:~# paplay /usr/share/sounds/generic.wav 
X11 connection rejected because of wrong authentication.
E: client-conf-x11.c: XOpenDisplay() failed
Connection failure: Connection refused
macbeth:~# aplay /usr/share/sounds/generic.wav
X11 connection rejected because of wrong authentication.
E: client-conf-x11.c: XOpenDisplay() failed
*** PULSEAUDIO: Unable to connect: Connection refused
*** Is your sound server running?
*** See: http://www.pulseaudio.org/wiki/Troubleshooting
aplay: main:564: audio open error: Connection refused

What, I can't play audio without connecting to an X server now?
How is that even vaguely sensible?

Anyway, pulseaudio is still running:

macbeth:~# ps -f -p $(pgrep pulseaudio)
UID        PID  PPID  C STIME TTY          TIME CMD
fer       8031     1  0 Oct25 ?        00:08:03 pulseaudio -D


Version-Release number of selected component (if applicable):
pulseaudio-0.9.10-1.fc9.x86_64

How reproducible:
Intermittent

Steps to Reproduce:
1. Start an X session
2. Do some stuff. Sound is working fine.
3. Wait a bit. Do some more stuff. Sounds stops working


Additional info:
When trying to play audio, the following appears in /var/log/messages:
Oct 27 22:29:14 macbeth pulseaudio[8031]: module-alsa-sink.c: Error opening PCM device front:0: Device or resource busy
Comment 1 Lennart Poettering 2008-12-18 10:03:56 EST
Apparently some other app is blocking access to the audio device. Use "fuser -v /dev/snd/* /dev/dsp*" to find out which one it is.
Comment 2 Lennart Poettering 2009-02-24 23:03:33 EST
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.